package com.yc.education.mapper;

import com.yc.education.model.Classify02en;
import com.yc.education.util.MyMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface Classify02enMapper extends MyMapper<Classify02en> {

    //根据一级id查找二级的分类集合
    List<Classify02en> findClassByCid(@Param("cid")Integer cid);

    //根据一级分类id删除二级分类
    void deleteByCid(@Param("cid")Integer cid);

    //查找所有的二级分类
    List<Classify02en> findAllClass02();
}